<?php

if ($_SESSION['Firma']['KfZ'])
{
	$sql = "SELECT * FROM " . PREFIX . "_Auftraege WHERE (Angebot_Jahr = \"" . $Jahr . "\" AND Angebot_ID = \"" . $ID . "\" AND KV = \"1\");";
	$result = $db->query($sql);
	if ($nt = $result->fetch_assoc())
	{
		while (strlen($nt['ID']) < $_SESSION['Firma']['Stellen'])
		{
			$nt['ID'] = "0" . $nt['ID'];
		}
		exit("<h1>Zu diesem Kostenvoranschlag existiert bereits ein Auftrag mit der Nummer: " . $nt['Jahr'] . "_" . $nt['ID'] . "!</h1>");
	}

	$sql = "SELECT * FROM " . PREFIX . "_LVs WHERE (Jahr = \"" . $Jahr . "\" AND ID = \"" . $ID . "\");";
	$result = $db->query($sql);
	$nt = $result->fetch_assoc();

	if (!isset($_POST['ok']))
	{
		$sqlk = "SELECT ID, Firma, Nachname, DSchutz FROM " . PREFIX . "_Kontakte ORDER BY Firma ASC, Nachname ASC;";
		$resultk = $db->query($sqlk);
		$sqla = "SELECT ID, Vorname, Nachname FROM Admin WHERE Firma_ID = \"" . PREFIX . "\" ORDER BY Nachname ASC;";
		$resulta = $db->query($sqla);
		echo "<fieldset>\n";
		echo "	<legend>Einstellungen für die Auftragsbestätigung festlegen</legend>\n";
		echo "	<form action=\"index.php?" . $_SERVER['QUERY_STRING'] . "\" method=\"post\">\n";
		echo "		<span class=\"right\">\n";
		echo "			<input type=\"submit\" class=\"button_ok\" name=\"formaction\" value=\"create\" title=\"Auftragsbestägigung erstellen\" />\n";
		echo "		</span>\n";
		echo "		<input type=\"hidden\" name=\"ID\" value=\"" . $_POST['ID'] . "\" />\n";
		echo "		<input type=\"hidden\" name=\"ok\" value=\"1\" />\n";
		echo "		<label>Kunde</label>\n";
		echo "		<select name=\"Kontakt_ID\">\n";
		while ($ntk = $resultk->fetch_assoc())
		{
			echo "			<option value=\"" . $ntk['ID'] . "\"";
			if ($nt['Kontakt_ID'] == $ntk['ID'])
			{
				echo " selected=\"selected\" ";
			}
			echo ">" . $ntk['Firma'] . " - " . $ntk['Nachname'] . "</option>\n";
		}
		echo "		</select>\n";
		echo "		<br style=\"clear: left;\" />\n";
		echo "		<label>Ansprechpartner:</label>\n";
		echo "		<select name=\"Admin_ID\">\n";
		while ($nta = $resulta->fetch_assoc())
		{
			echo "			<option value=\"" . $nta['ID'] . "\"";
			if ($nt['Admin_ID'] == $nta['ID'])
			{
				echo " selected=\"selected\" ";
			}
			echo ">" . $nta['Vorname'] . " - " . $nta['Nachname'] . "</option>\n";
		}
		echo "		</select>\n";
		echo "		<br style=\"clear: left;\" />\n";
		echo "		<label>Vorkasserechnung erstellen?</label>\n";
		echo "		<input type=\"hidden\" name=\"Vorkasse\" value=\"0\" />\n";
		echo "		<input type=\"checkbox\" name=\"Vorkasse\" value=\"1\" />\n";
		echo "		<img src=\"img/small_info.png\" title=\"Falls das Häkchen gesetzt ist, wird automatisch eine Vorkasserechnung mit unten genanntem Betrag erstellt! Beachten Sie dies in Bezug auf die Rechnungsnummerierung!\" alt=\"Hilfe\" />\n";
		echo "		<br />\n";
		echo "		<label>MwSt in %</label>\n";
		echo "		<input type=\"text\" name=\"MwSt\" value=\"" . $_SESSION['Firma']['MwSt'] . "\" />\n";
		echo "		<br />\n";
		echo "		<label>Vorkassebetrag zzgl. MwSt.:</label>\n";
		echo "		<input type=\"text\" name=\"Preis\" />\n";
		echo "		<img src=\"img/small_info.png\" title=\"Der Vorkassebetrag wird nur benötigt, wenn Sie auch eine Vorkasserechnung erstellen.\" alt=\"Hilfe\" />\n";
		echo "		<br />\n";
		echo "		<label>Auftrag vom:</label>\n";
		echo "		<input type=\"text\" name=\"A_Datum\" />\n";
		echo "		<img src=\"img/small_info.png\" title=\"Datum der Form: <TT.MM.JJJJ>\" alt=\"Hilfe\" />\n";
		echo "		<br />\n";
		echo "	</form>\n";
		echo "</fieldset>\n";
		return (0);
	}

	echo "<br />\n";
	$ntd = explode(".", $_POST['A_Datum']);
	$Datum = $ntd['2'] . "-" . $ntd['1'] . "-" . $ntd['0'];
	if (3 != sizeof($ntd))
	{
		echo "<h1>Bitte überprüfen Sie das Datumsformat bei der Eingabe!</h1>\n";
		echo "<h2>Das korrekte Datumsformat ist z.B.: \"25.7.2009\"!</h2>\n";
	}
	else
	{
		if (4 != strlen($ntd['2']))
		{
			echo "<h1>Bitte überprüfen Sie das Datumsformat bei der Eingabe!</h1>\n";
			echo "<h2>Die Eingabe der Jahreszahl muss 4-stellig erfolgen!</h2>\n";
		}
		else
		{
			if (checkdate($ntd['1'], $ntd['0'], $ntd['2']))
			{
				$sql = 'INSERT INTO ' . PREFIX . '_Auftraege (Jahr, ID, Kontakt_ID, Admin_ID, Angebot_Jahr, Angebot_ID, KV, Preis_aus_Pos, Vorkasse, A_Datum, MwSt, Text, Datum) VALUES (YEAR(CURDATE()), NULL, "' . $_POST['Kontakt_ID'] . '", "' . $_POST['Admin_ID'] . '", "' . $Jahr . '", "' . $ID . '", "1", "1", "' . $_POST['Vorkasse'] . '", "' . $Datum . '", "' . $_POST['MwSt'] . '", "' . addslashes(stripslashes($nt['Text'])) . '", CURDATE())';
				$stmt = $db->prepare($sql);
				if (!$stmt)
				{
					die ('Datensatz konnte nicht angelegt werden: ' . $db->error);
				}
				if (!$stmt->execute())
				{
					die ('Datensatz konnte nicht angelegt werden: ' . $stmt->error);
				}
				$sql = 'SELECT last_insert_id() AS last';
				$result = $db->query($sql);
				$nt = $result->fetch_assoc();
				$ID_New = $nt['last'];

				$sqlp = "SELECT * FROM " . PREFIX . "_LV_Pos WHERE (Jahr = \"" . $Jahr . "\" AND LV_ID = \"" . $ID . "\");";
				$resultp = $db->query($sqlp);
				while ($ntp = $resultp->fetch_assoc())
				{
					$sql = "INSERT INTO " . PREFIX . "_Auftrag_Pos (ID, Jahr, Auftrag_ID, Position, Anzahl, Bezeichnung, Preis, Feld1, Feld2, Feld3, Feld4, Feld5) VALUES (NULL, YEAR(CURDATE()), \"" . $ID_New . "\", \"" . $ntp['Position'] . "\", \"" . $ntp['Anzahl'] . "\", \"" . addslashes(stripslashes($ntp['Bezeichnung'])) . "\", \"" . $ntp['Preis'] . "\", \"" . addslashes(stripslashes($ntp['Feld1'])) . "\", \"" . addslashes(stripslashes($ntp['Feld2'])) . "\", \"" . addslashes(stripslashes($ntp['Feld3'])) . "\", \"" . addslashes(stripslashes($ntp['Feld4'])) . "\", \"" . addslashes(stripslashes($ntp['Feld5'])) . "\");";
					$stmt = $db->prepare($sql);
					if (!$stmt)
					{
						die ('Datensatz konnte nicht angelegt werden: ' . $db->error);
					}
					if (!$stmt->execute())
					{
						die ('Datensatz konnte nicht angelegt werden: ' . $stmt->error);
					}
				}
				if ("1" == $_POST['Vorkasse'])
				{
					$sql = 'INSERT INTO ' . PREFIX . '_Rechnungen (Jahr, ID, Kontakt_ID, Auftrag_Jahr, Auftrag_ID, Admin_ID, Vorkasse, Preis, MwSt, Datum) VALUES (YEAR(CURDATE()), NULL, "' . $_POST['Kontakt_ID'] . '", "' . date("Y") . '", "' . $ID_New . '", "' . $_POST['Admin_ID'] . '", "1", "' . $_POST['Preis'] . '", "' . $_POST['MwSt'] . '", CURDATE())';
					$stmt = $db->prepare($sql);
					if (!$stmt)
					{
						die ('Datensatz konnte nicht angelegt werden: ' . $db->error);
					}
					if (!$stmt->execute())
					{
						die ('Datensatz konnte nicht angelegt werden: ' . $stmt->error);
					}
				}
			}
		}
	}
	echo "<fieldset>\n";
	echo "	<legend>Auftragsbestätigung wurde erstellt</legend>\n";
	echo "	<form action=\"index.php?section=bestaet\" method=\"post\">\n";
	echo "		<input type=\"hidden\" name=\"ID\" value=\"" . date("Y") . "_" . $ID_New . "\" />\n";
	echo "		<input type=\"submit\" class=\"button_edit\" name=\"formaction\" value=\"edit\" title=\"Auftragsbestätigung bearbeiten\" />\n";
	echo "	</form>\n";
	echo "</fieldset>\n";
}
else
{
	$sql = "SELECT * FROM " . PREFIX . "_LVs WHERE (Jahr = \"" . $Jahr . "\" AND ID = \"" . $ID . "\");";
	$result = $db->query($sql);
	$nt = $result->fetch_assoc();
	echo "<br />\n";
	$sql = 'INSERT INTO ' . PREFIX . '_Angebote (Jahr, ID, Kontakt_ID, Admin_ID, LV_Jahr, LV_ID, MwSt, Text, Datum) VALUES (YEAR(CURDATE()), NULL, "' . $nt['Kontakt_ID'] . '", "' . $nt['Admin_ID'] . '", "' . $Jahr . '", "' . $ID . '", "' . $_SESSION['Firma']['MwSt'] . '", "' . addslashes(stripslashes($nt['Text'])) . '", CURDATE())';
	$stmt = $db->prepare($sql);
	if (!$stmt)
	{
		die ('Datensatz konnte nicht angelegt werden: ' . $db->error);
	}
	if (!$stmt->execute())
	{
		die ('Datensatz konnte nicht angelegt werden: ' . $stmt->error);
	}
	$sql = 'SELECT last_insert_id() AS last';
	$result = $db->query($sql);
	$nt = $result->fetch_assoc();
	$ID_New = $nt['last'];

	$sqlp = "SELECT * FROM " . PREFIX . "_LV_Pos WHERE (Jahr = \"" . $Jahr . "\" AND LV_ID = \"" . $ID . "\");";
	$resultp = $db->query($sqlp);
	while ($ntp = $resultp->fetch_assoc())
	{
		$sql = "INSERT INTO " . PREFIX . "_Angebot_Pos (Jahr, ID, Angebot_ID, Position, Anzahl, Bezeichnung, Preis, Feld1, Feld2, Feld3, Feld4, Feld5) VALUES (YEAR(CURDATE()), NULL, \"" . $ID_New . "\", \"" . $ntp['Position'] . "\", \"" . $ntp['Anzahl'] . "\", \"" . addslashes(stripslashes($ntp['Bezeichnung'])) . "\", \"" . $ntp['Preis'] . "\", \"" . addslashes(stripslashes($ntp['Feld1'])) . "\", \"" . addslashes(stripslashes($ntp['Feld2'])) . "\", \"" . addslashes(stripslashes($ntp['Feld3'])) . "\", \"" . addslashes(stripslashes($ntp['Feld4'])) . "\", \"" . addslashes(stripslashes($ntp['Feld5'])) . "\");";
		$stmt = $db->prepare($sql);
		if (!$stmt)
		{
			die ('Datensatz konnte nicht angelegt werden: ' . $db->error);
		}
		if (!$stmt->execute())
		{
			die ('Datensatz konnte nicht angelegt werden: ' . $stmt->error);
		}
	}

	echo "<fieldset>\n";
	echo "	<legend>Angebot wurde erstellt</legend>\n";
	echo "	<form action=\"index.php?section=angebot\" method=\"post\">\n";
	echo "		<input type=\"hidden\" name=\"ID\" value=\"" . date("Y") . "_" . $ID_New . "\" />\n";
	echo "		<input type=\"submit\" class=\"button_edit\" name=\"formaction\" value=\"edit\" title=\"Angebot bearbeiten\" />\n";
	echo "	</form>\n";
	echo "</fieldset>\n";
}